/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.varia.stats;

/**
 * MBean interface.
 */
public interface StatisticsCollectorMBean extends org.jboss.system.ServiceMBean
{

   //default object name
   public static final javax.management.ObjectName OBJECT_NAME = org.jboss.mx.util.ObjectNameFactory
         .create("jboss.stats:service=StatisticsCollector");

   void registerReportGenerator(org.jboss.varia.stats.report.ReportGenerator reportGenerator);

   void unregisterReportGenerator(org.jboss.varia.stats.report.ReportGenerator reportGenerator);

   void clearStatistics();

   void addStatisticalItem(org.jboss.varia.stats.StatisticalItem item);

   java.util.Iterator reportsIterator();

   org.jboss.varia.stats.TxStatistics txStatistics();

   java.lang.String reports();

}
